$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://win-installers.admobilize.com/malos-vision/Malos-Vision-1.3.4-win32.msi' # download url, HTTPS preferred

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  softwareName  = 'admobilize-malos-vision*'
  checksum      = '82F0CFEC298E87C81CD79FF47D360B5D8DE1FD288B8ED771251E85A37BD519D1'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyEnvironmentVariable -VariableName "OPENCV_VIDEOIO_PRIORITY_MSMF" -VariableValue "0" -VariableType Machine
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize\Malos Vision\bin" -PathType 'Machine'
